<?php
$titlu='Sitemap descărcări';
require'f_sitemap.php';
echo sitemap($adresasite[0].'/descarcari','Descărcări');
$categorii=$conn->query('SELECT`id`,`nume`FROM`descarcari_categorii`ORDER BY`nume`');
while($categorie=$categorii->fetch_row())
{
if(ceil($y1/$pepagyna)>$z1)
{
$z1++;
echo sitemap($adresasite[0].'/descarcari/pagina/'.$z1,'Descărcări - pagina '.$z1);
}
$y2=1;
$z2=1;
echo sitemap($adresasite[0].'/descarcari/categorie/'.$categorie[0].'-'.seo($categorie[1]),'Descărcări, categoria '.htmlspecialchars($categorie[1]));
$albume=$conn->query('SELECT`id`,`nume`FROM`descarcari_albume`WHERE`cid`="'.$categorie[0].'"ORDER BY`data`DESC');
while($album=$albume->fetch_row())
{
if(ceil($y2/$pepagyna)>$z2)
{
$z2++;
echo sitemap($adresasite[0].'/descarcari/categorie/'.$categorie[0].'-'.seo($categorie[1]).'/pagina/'.$z2,'Descărcări, categoria '.htmlspecialchars($categorie[1]).' - pagina '.$z2);
}
$y3=1;
$z3=1;
echo sitemap($adresasite[0].'/descarcari/album/'.$album[0].'-'.seo($album[1]),'Descărcări, albumul '.htmlspecialchars($album[1]).', categoria '.htmlspecialchars($categorie[1]));
if($conn->query('SELECT COUNT(*)FROM`descarcari_fisiere`WHERE`vizibil`>"0"&&`fid`="'.$album[0].'"&&(`link`LIKE"%.mp3%"||`link`LIKE"%.mp4%")')->fetch_row()[0]>0)
echo sitemap($adresasite[0].'/versiunea-cu-player/album/'.$album[0].'-'.seo($album[1]),'Versiunea cu player - albumul '.htmlspecialchars($album[1]));
$fisiere=$conn->query('SELECT`id`,`nume`FROM`descarcari_fisiere`WHERE`vizibil`>"0"&&`fid`="'.$album[0].'"ORDER BY`nume`');
while($fisier=$fisiere->fetch_row())
{
if(ceil($y3/$pepagyna)>$z3)
{
$z3++;
echo sitemap($adresasite[0].'/descarcari/album/'.$album[0].'-'.seo($album[1]).'/pagina/'.$z3,'Descărcări, albumul '.htmlspecialchars($album[1]).', categoria '.htmlspecialchars($categorie[1]).' - pagina '.$z3);
}
echo sitemap($adresasite[0].'/fisier/id/'.$fisier[0].'-'.seo($fisier[1]),'Fisier '.htmlspecialchars($fisier[1].' - '.$album[1]));
$aprecieriile=$conn->query('SELECT COUNT(*)FROM`descarcari_aprecieri`WHERE`pid`="'.$fisier[0].'"&&`valoare`="1"')->fetch_row()[0];
if($aprecieriile>0)
{
echo sitemap($adresasite[0].'/aprecieri-fisier/id/'.$fisier[0].'-'.seo($fisier[1]).'/tip/aprecieri','Aprecieri fișier '.htmlspecialchars($fisier[1]));
$numar_aprecieri=ceil($aprecieriile/$pepagyna);
for($aprecieri=1;$aprecieri<$numar_aprecieri;$aprecieri++)
{
echo sitemap($adresasite[0].'/aprecieri-fisier/id/'.$fisier[0].'-'.seo($fisier[1]).'/tip/aprecieri/pagina/'.($aprecieri+1),'Aprecieri fișier '.htmlspecialchars($fisier[1]).' - pagina '.($aprecieri+1));
}
}
$dezaprecieriile=$conn->query('SELECT COUNT(*)FROM`descarcari_aprecieri`WHERE`pid`="'.$fisier[0].'"&&`valoare`="2"')->fetch_row()[0];
if($dezaprecieriile>0)
{
echo sitemap($adresasite[0].'/aprecieri-fisier/id/'.$fisier[0].'-'.seo($fisier[1]).'/tip/dezaprecieri','Dezaprecieri fișier '.htmlspecialchars($fisier[1]));
$numar_dezaprecieri=ceil($dezaprecieriile/$pepagyna);
for($dezaprecieri=1;$dezaprecieri<$numar_dezaprecieri;$dezaprecieri++)
{
echo sitemap($adresasite[0].'/aprecieri-fisier/id/'.$fisier[0].'-'.seo($fisier[1]).'/tip/dezaprecieri/pagina/'.($dezaprecieri+1),'Dezaprecieri fișier '.htmlspecialchars($fisier[1]).' - pagina '.($dezaprecieri+1));
}
}
$comentariile=$conn->query('SELECT COUNT(*)FROM`descarcari_comentarii`WHERE`pid`="'.$fisier[0].'"')->fetch_row()[0];
if($comentariile>0)
{
echo sitemap($adresasite[0].'/comentarii-fisier/id/'.$fisier[0].'-'.seo($fisier[1]),'Comentarii fișier '.htmlspecialchars($fisier[1]));
$numar_comentarii=ceil($comentariile/$pepagyna);
for($comentarii=1;$comentarii<$numar_comentarii;$comentarii++)
{
echo sitemap($adresasite[0].'/comentarii-fisier/id/'.$fisier[0].'-'.seo($fisier[1]).'/pagina/'.($comentarii+1),'Comentarii fișier '.htmlspecialchars($fisier[1]).' - pagina '.($comentarii+1));
}
}
$notele=$conn->query('SELECT COUNT(*)FROM`descarcari_note`WHERE`pid`="'.$fisier[0].'"')->fetch_row()[0];
if($notele>0)
{
echo sitemap($adresasite[0].'/note-fisier/id/'.$fisier[0].'-'.seo($fisier[1]),'Note fișier '.htmlspecialchars($fisier[1]));
$numar_note=ceil($notele/$pepagyna);
for($note=1;$note<$numar_note;$note++)
{
echo sitemap($adresasite[0].'/note-fisier/id/'.$fisier[0].'-'.seo($fisier[1]).'/pagina/'.($note+1),'Note fișier '.htmlspecialchars($fisier[1]).' - pagina '.($note+1));
}
}
$y3++;
}
$y2++;
}
$y1++;
}
echo$x2;
require'f_fun.php';